function out=adjustLiqPref(x_hd,eta,s)

if isfield(s,'liqAdj')
    
    if s.liqAdj
        out=ones(size(x_hd));
        N=length(x_hd);
        psi=x_hd+eta;
        cutoff_x=0.9;
        cutoff_eta=s.cutoff_eta;%.08;%.1;
            m=s.beta_1/cutoff_eta*s.mAdj;

        type_eta=1;
        for n=1:N
            if type_eta
                if eta(n)>cutoff_eta
                    out(n)=s.beta_1;
                else
                	out(n)=s.beta_1-m*abs(cutoff_eta-eta(n))^1; %hard-wire that preference drops
                end
            else
                if x_hd(n)<cutoff_x
                    out(n)=s.beta_1;
                else
                    out(n)=s.beta_1.*((x_hd(n)+1-cutoff_x)^(-2)); %hard-wire that preference drops
                end
            end
        end
    else
        out=s.beta_1;
    end
else
    out=s.beta_1;
end

end