function out = deposit_spread(psi, eta, q,s)
% Computes the deposit spread due to
% the convenience yield on bank deposits
% in households' utility function.
%
% Written by William Chen and Greg Phelan, Jan. 2022

%I'm going to re-write this to depending on total debt
x_hd = (psi - eta).*q*s.r ;%./ (1 - eta);

% s.beta_1=adjustLiqPref(psi,eta,s); %hard-wire that preference drops

out = s.r .* convenience_yield(x_hd, eta,1, s).*q*s.r; 
%removed omega because I'm making xhd a fraction of total wealth

end
