%This script defines the parameters used in the model

%technology
s.r = 0.02;
s.g=.02;
s.sigma = 0.015;

s.gh=.01;

s.ab=1;
    s.ah=1;
    %  s.abar = 1;

%issuance cost
s.issuance=3; %=1+gamma
s.thetastar=1;


% Convenience yield parameters
% v(x_hd) = beta_1 * (x_hd + beta_2) ^ (1 - beta_3) / (1 - beta_3)
s.phiL=.005;%target DS

s.beta_1 = s.phiL/s.r;
s.beta_2 = 0;
s.beta_3 = 1; % =1 for log liquidity preference

s.liqAdj=0;
s.cutoff_eta=.1;
s.mAdj=.5;

s.tau=0;
s.lmax=1;

s.color='k';


%graphing parameters
s.gstart=1.05e-4; %xlim on graphs
s.start=s.gstart;
s.fontsize=18;
s.line='-'; s.width=3;
set(groot, 'defaulttextinterpreter', 'latex');
set(groot, 'defaultAxesTickLabelInterpreter', 'latex');

%computational parameters
s.interp='linear';
s.N_welfare = 100;
