% 
%
% written by Greg Phelan
function [fout, etaout, s]=GetEqmLinear(color,s)
tic
s.color=color;



OP=optimset('Display','off');
y1max=1;%s.alpha^s.alpha*(1-s.alpha)^(1-s.alpha);
% x=fsolve(@init_cond,[y1max/(s.r-s.phiL-s.g) s.alpha],OP,s);
s.q_ = y1max/(s.r-s.g); %x(1); s.l0=x(2);
s.qmax=y1max/(s.r-s.phiL-s.g);

% if s.phiL==s.phiI
%     s.qmax=y1max/(s.r-s.g);
%     s.lmax=s.alpha;
% else
% x2=fsolve(@max_cond,[y1max/(s.r-s.g) s.alpha],OP,s);
% s.qmax=x2(1);
% s.lmax=x2(2); %s.qmax = (s.alpha^s.alpha*(1-s.alpha^(1-s.alpha)))/(s.r - s.g);
% end
s.lmax=0.5;

q_=s.q_; qmax=s.qmax; %lambda_=s.l0; lmax=s.lmax;
dataset(q_,qmax);%,lambda_,lmax)

s.end=1;%s.lmax;



s.mult=1*1/s.issuance;


odeevnt =@(eta,f) evntfcn2(eta,f,s);                        
options = odeset('events',odeevnt,'AbsTol',1e-3);  
% this function terminates integration of the ode when q exceeds qmax, 
% or f'(eta) or q'(eta) reaches 0 
                                    
odefun = @(eta,f) fnctLinear(eta, f, s);

%let's try solving this baby with equity issuance.
F0 = [5 -1e-5 s.q_ 1e-5]'; 
etastart=1e-3;

ininit=[.2*s.q_+.8*s.qmax; .02];

in0=fminsearch(@(in) getendpoints(in,s,odefun,options),ininit);
    F0(1)=s.issuance;
    F0(4)=1e-5;
    F0(3) = in0(1);  % this is q(eta0)
%     F0(2)=(s.mult-s.issuance)/in0(2); 
    
   etastart=in0(2);
old_way=0;
%correctly specify how we find the lower boundary condition for thetap
if old_way
    F0(2)=(mult-s.issuance)/etastart;  %old way
else
     F0(2)=-(s.issuance-1)/etastart; %new way
end
    etaspan = [in0(2) s.lmax];
    

    
    [etaout,fout] = ode45(odefun,etaspan,F0,options);
    dataset(in0)
    fout(end-1:end,:)
%     if IE == 3, % if theta has reached 1, we 
%         QL = F0(4);  % increase q'(0)
%     else
%         QR = F0(4);  % else we reduce q'(0)
%     end
%     
% 
% % normalize theta so that theta(eta*) = 1
% N = length(etaout);
% normalization = fout(N,1);
% fout(:,1:2) = fout(:,1:2)/normalization;
% 
% mup=max(fout(:,2));
% qp=min(fout(:,4));
% dataset(IE)
% dataset(QL,QR,mup,qp)
%set eta* derivs
%  fout(end,2)=0; fout(end,4)=0;
[Dyn, Sharpe]=display_resultsLinear(etaout,fout,s);
s.N=length(Dyn);

% if s.simulation==1
% simulation(etaout(1:s.N),fout(1:s.N,:),Dyn,s)
% end

ergocalcLinear(etaout(1:s.N),fout(1:s.N,:),Dyn,Sharpe,color,s);
% timetoreach(etaout(1:s.N),fout(1:s.N,:),Dyn,color,s);

% if s.quick==0;
% welfarecalc(etaout(1:s.N),fout(1:s.N,:),Dyn,s,color);
% end

s.fout0=fout;
s.etaout0=etaout;

toc