function out=adjustLiqPref(x_hd,s)

if isfield(s,'liqAdj')
    
    if s.liqAdj
        out=ones(size(x_hd));
        N=length(x_hd);
        cutoff=0.9;
        for n=1:N

            if x_hd(n)<cutoff
                out(n)=s.phiL;
            else
                out(n)=s.phiL.*((x_hd(n)+1-cutoff)^(-2)); %hard-wire that preference drops
            end
        end
    else
        out=s.phiL;
    end
else
    out=s.phiL;
end

end