function out=PlannerFOC(eta,j,etaout,fout,Dyn,s)

theta=interp1(etaout,fout(:,1),eta);
thetap=interp1(etaout,fout(:,2),eta);
q=interp1(etaout,fout(:,3),eta);
qp=interp1(etaout,fout(:,4),eta);
mu=interp1(etaout,Dyn(:,4),eta,s.interp);
sigma=interp1(etaout,Dyn(:,2),eta,s.interp);
lambda=interp1(etaout,Dyn(:,8),eta,s.interp);
psi=interp1(etaout,Dyn(:,1),eta,s.interp);
b=(psi-eta)*q;

p1=s.alpha*((1-lambda)/lambda)^(1-s.alpha);
p2=(1-s.alpha)*(lambda/(1-lambda))^s.alpha;


prod=((psi+(lambda-psi)*s.abar)^s.alpha)*((1-lambda)^(1-s.alpha));
flow=prod+b*s.phiL;
gy=s.g-(lambda-psi)*s.m-psi*s.phiI;

Jpp=2*( (s.r-gy)*j(1)-flow-j(2)*(mu+s.sigma*sigma) )/(sigma^2);

dsigeta=(sigma/(psi-eta))^2;
dmueta=eta*(s.phiI-s.m)-(q^2*s.sigma^2*qp*theta*(psi-eta)+q*(theta-2*thetap*(psi-eta)))/(theta*(q-qp*(psi-eta))^3);
%out=j(2)*dmueta+(Jpp*sigma+j(2)*s.sigma)*dsigeta;
out=p1-p2+s.phiL*q+j(2)*dmueta+j(1)*(-s.phiI)+(Jpp*sigma+j(2)*s.sigma)*dsigeta;