function [value,isterminal,direction] = evntergo(eta, F) 
% [value,isterminal,direction] = evntfcn(eta, F) returns three
% variables used by ode45 to determine when to terminate integration when
% calculating ergodic distribution
%
% written by Greg Phelan

value = [F];  % difference between qmax and q, 
                                    % first derivative of theta, first derivative of q
isterminal = [1 ];   % terminate computation in all three cases
direction = [-1 ];    % event occurs when we get there from above  