function [value,isterminal,direction] = evntwelfare(eta, F) 
% [value,isterminal,direction] = evntfcn(eta, F) returns three
% variables used by ode45 to determine when to terminate integration when
% calculating ergodic distribution
%
% written by Greg Phelan

if isreal(F(2));
value = [ 1e18-F(2)];
else
    value=[0 0];
end

isterminal = [1 1];   % terminate computation in all three cases
direction = [0 0];    % event occurs when we get there from above  