% This script defines the parameters used in the model

%% Economic Parameters
s.r     = 0.04;
s.g     = .01; 
s.phiL  = .01;
s.sigma = 0.015; 
s.a     = 1;
s.a_    = 1;
s.g_    = 0.01;

s.issuance  = 3; % 1 + gamma
s.thetastar = 1;
s.qp_       = 1e-5;

s.constant_deposit=1;

s.deposit_eta=0;
s.deposit_theta=0;
s.deposit_lvg=0;

% s.K = 0;

%% Numerical Settings
s.start=1e-5; s.gstart=1.05e-4; s.fontsize=14;
s.end = 1;
s.interp='linear'; s.line='-'; s.width=3; s.quick=1;
s.psi_tol = 1e-1; % additional padding for bisection search for psi
s.bound_tol = 1e-15; % padding when leverage constraints are imposed near zero
s.N_bisection_iter = 30; % number of iterations during bisection search for psi
s.display_time = 1; % Time or not?
% s.M=250; s.policy=0; s.simulation=0; s.gensim=0;
% s.eta1=1;%.04;
% s.eta0=0; %.01;
% s.sslev=1000;%bound for VAR policy