function [fval, x]=planneralloc(Jpp,f,eta,s)

minfun=@(in) sub1(in,Jpp,f,eta,s);
A=[1 -1];
b=[0];
lb=[eta;eta];
ub=[s.alpha; s.alpha];

op1=optimset('display','off','algorithm','interior-point');
[x, fval]=fmincon(minfun,[s.alpha; s.alpha],A,b,[],[],lb,ub,[],op1);



function out1=sub1(in,Jpp,f,eta,s) 
lambda=in(2);
psi=in(1);
J=f(1);
Jp=f(2);

prod=((psi+(lambda-psi)*s.abar)^s.alpha)*((1-psi)^(1-s.alpha));
liq=(psi-eta)*f(3)*s.phiL;
g_y=s.g-(lambda-psi)*s.m-psi*s.phiI;

p1=s.alpha*((1-lambda)/(psi+(lambda-psi)*s.abar))^(1-s.alpha);
p2=(1-s.alpha)*((psi+(lambda-psi)*s.abar)/(1-lambda))^s.alpha;


    % VOLATILITY COMPUTATION 
    amplification = 1 - f(4)/f(3)*(psi - eta);      
    sigma_eta = s.sigma*(psi - eta)/amplification;             
    sigma_q = sigma_eta*f(4)/f(3); 


mu_q = s.r - p2/f(3) - s.g - s.sigma*sigma_q;
mu_a=p1/f(3)+s.g+mu_q+s.sigma*sigma_q+s.phiL-s.phiI;

mu_eta = (psi - eta)*(mu_a-s.r-(s.sigma + sigma_q)^2) + eta*(p1*1/f(3)-s.chi+s.m*(lambda-psi)+psi*s.phiI);

out1=prod+liq+Jp*mu_eta+J*g_y+.5*Jpp*sigma_eta^2+Jp*s.sigma*sigma_eta-s.r*J;
out1=-out1;