function simulationFB(color,s)
M=s.M;


randn('state',1);


eps=randn(M,1);
q=ones(M,1)*50;
ZK=ones(M,1);

gk=ones(M,1)*(s.g-s.phiI*s.alpha);


gk(1)=s.g-s.phiI*s.alpha;

for m=1:M-1
    ZK(m+1)=ZK(m)+ZK(m)*(gk(m+1)+s.sigma*eps(m));
end

prod=(s.alpha.^s.alpha).*((1-s.alpha).^(1-s.alpha))+s.phiL*(s.alpha).*50;

Y=prod.*ZK;
% mean(gk)
% mean(prod)

t=1:M;



figure(22); hold on
plot(t,q,color,'linewidth',s.width);
% title('Asset Prices','FontSize',s.fontsize,'FontWeight','b')
xlabel('Time','FontSize',s.fontsize,'FontWeight','b');
ylabel('Land Price q','FontSize',s.fontsize,'FontWeight','b');




figure(24); hold on
plot(t,log(Y),color,'linewidth',s.width);
% title('Aggregate Outcomes','FontSize',s.fontsize,'FontWeight','b')
xlabel('Time','FontSize',s.fontsize,'FontWeight','b');
ylabel('Flow Utility','FontSize',s.fontsize,'FontWeight','b');

    