function timetoreach(etaout,fout,Dyn,color,s)
N = length(etaout);

tp1=1/Dyn(end,4);
odefun = @(eta,f) timetoreachfnct(eta,f,etaout,Dyn(:,4),Dyn(:,2),s);
[et1, g1]=ode45(odefun,etaout(1:N-1),[0 tp1]);

% e1=e1((f1>0));
% f1=f1((f1>0));
% f1=log(f1+1);
f1=g1(:,1)./g1(end,1);
% f1=flipud(f1);
e1=et1(end)-et1;

etastar=max(etaout);
figure(4)
    subplot(2,2,4); hold on
    plot(e1,f1,strcat(s.line,color),'linewidth',s.width); hold on
    xlabel('Distance to \eta^*','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.start 1.05*etastar])
    ylabel('g(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
    title('Recovery Rate to Reach \eta^*','FontSize',s.fontsize)
    set(gca,'XDir','reverse');
    ylim([.3 1])
% 

    
figure(6)
%     subplot(1,2,1); hold on
    plot(e1,f1,strcat(s.line,color),'linewidth',s.width); hold on
    xlabel('Distance to \eta*','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.start 1.05*etastar])
    ylabel('g(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
    title('Recovery Rate to Reach \eta^*','FontSize',s.fontsize)
    set(gca,'XDir','reverse');
    ylim([.3 1])  
    
    e11=e1/etaout(end);
    figure(26)
%     subplot(1,2,1); hold on
    plot(e11,f1,strcat(s.line,color),'linewidth',s.width); hold on
    xlabel('1-\eta/\eta*','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.start 1])
    ylabel('g(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
    title('Recovery Rate to Reach \eta^*','FontSize',s.fontsize)
    set(gca,'XDir','reverse');
    ylim([0 1]) 
