function jp=welfarefnct(eta,j,etaout,fout,Dyn,s)

q=interp1(etaout,fout(:,3),eta);

mu=interp1(etaout,Dyn(:,4),eta,s.interp);
sigma=interp1(etaout,Dyn(:,2),eta,s.interp);
lambda=interp1(etaout,Dyn(:,8),eta,s.interp);
psi=interp1(etaout,Dyn(:,1),eta,s.interp);
b=(psi-eta)*q;

prod=((psi+(lambda-psi)*s.abar)^s.alpha)*((1-lambda)^(1-s.alpha));
flow=prod+b*s.phiL;
gy=s.g-(lambda-psi)*s.m-psi*s.phiI;

Jpp=2*( (s.r-gy)*j(1)-flow-j(2)*(mu+s.sigma*sigma) )/(sigma^2);
jp=[j(2);Jpp];