function out=getendpoints(in,s,odefun,options)
    F0(1)=s.issuance;
    F0(4)=1e-5;
    F0(3) = in(1);  % this is q(eta0)
    
    etastart=in(2);
    old_way=0;
%correctly specify how we find the lower boundary condition for thetap
if old_way
    F0(2)=(mult-s.issuance)/etastart;  %old way
else
     F0(2)=-(s.issuance-1)/etastart; %new way
end
    
etaspan = [in(2) s.lmax];
    
    [etaout,fout] = ode45(odefun,etaspan,F0,options);
    
          ThetaSP=10*(fout(end,2)*etaout(end)+s.thetastar-1); 
%      ThetaSP=10*(fout(end,2)-0); 
    %we write it this way to accommodate when thetabar \neq 1 b/c policy
    
    out=[   100*(fout(end,1)-s.thetastar); %theta(etabar) is correct
            ThetaSP; %theta(etabar) smooth pasting
            fout(end,4)]; %q(etabar) smooth pasting
    out=out'*out;