function [out risk_premium]=market_clearing(in,eta,f,s)
%this solves for capital allocation when intermediaries are unrestricted
%and hold all the type-1 capital, i.e. \psi=\lambda

psi=in;
lambda=in;


            
    % VOLATILITY COMPUTATION  
    amplification = 1 - f(4)/f(3)*(psi - eta);
    sigma_eta_eta = s.sigma*(psi - eta)/amplification;  % sigma_eta *times* eta            
    sigma_q = sigma_eta_eta*f(4)/f(3); 
    sigma_theta = sigma_eta_eta*f(2)/f(1);

    risk_premium = (- sigma_theta)*(s.sigma + sigma_q);


p1=s.alpha*((1-lambda)/lambda)^(1-s.alpha);
p2=(1-s.alpha)*(lambda/(1-lambda))^s.alpha;

% if s.phiL==s.phiI
    out=p1-p2-risk_premium*f(3);
% else
% out= p1-p2-(s.phiI-s.phiL+risk_premium)*f(3);
% end